SCSI_REMOVE_SINGLE_D(9)

NAME
scsi_remove_single_device - Respond to user request to remove a device

SYNOPSIS

int scsi_remove_single_device(uint host, uint channel, uint id, uint lun);

ARGUMENTS

host
    user-supplied decimal integer

channel
    user-supplied decimal integer

id
    user-supplied decimal integer

lun
    user-supplied decimal integer

DESCRIPTION

called by writing “scsi remove-single-device” to /proc/scsi/scsi. Does a scsi_device_lookup and scsi_remove_device

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT